import { IPDFLinkService } from './pdfjs';
import { EventBus } from '../../eventbus';
export declare class PDFHistory {
    readonly options: {
        linkService: IPDFLinkService;
        eventBus: EventBus;
    };
    private eventAbortController?;
    private destination?;
    private _popStateInProgress;
    private blockHashChange;
    private uid;
    private maxUid;
    private currentHash;
    private updateViewareaTimeout?;
    private position?;
    private numPositionUpdates;
    private isPagesLoaded;
    private fingerprint;
    private updateUrl;
    private initialized;
    private _initialBookmark?;
    private _initialRotation?;
    constructor(options: {
        linkService: IPDFLinkService;
        eventBus: EventBus;
    });
    initialize({ fingerprint, resetHistory, updateUrl }: {
        fingerprint: any;
        resetHistory?: boolean | undefined;
        updateUrl?: boolean | undefined;
    }): void;
    reset(): void;
    push({ namedDest, explicitDest, pageNumber }: {
        namedDest?: null | undefined;
        explicitDest: any;
        pageNumber: any;
    }): void;
    pushPage(pageNumber: number): void;
    pushCurrentPosition(): void;
    back(): void;
    forward(): void;
    get popStateInProgress(): boolean;
    get initialBookmark(): string | null | undefined;
    get initialRotation(): string | null | undefined;
    private pushOrReplaceState;
    private tryPushCurrentPosition;
    private isValidPage;
    private isValidState;
    private updateInternalState;
    private parseCurrentHash;
    private updateViewarea;
    private popState;
    private pageHide;
    private bindEvents;
    private unbindEvents;
}
